com.h3c.of.lib.match

## Class MFieldExperimenter

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.match.MatchField
    - - com.h3c.of.lib.match.MFieldExperimenter

- All Implemented Interfaces:
    Structure

      public class MFieldExperimenter
      extends MatchField

  Experimenter OpenFlow match field descriptor.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ExperimenterId` | `getExpId()` Returns the experimenter ID (if we know it); null otherwise.
    `int` | `getId()` Returns the experimenter ID encoded as an int.
    `byte[]` | `getIdAsBytes()` Returns the ID encoded as a byte array.
    `byte[]` | `getPayload()` Returns a copy of the experimenter-defined match payload.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.match.MatchField

      `getFieldType, getOxmClass, getPayloadLength, getRawFieldType, getRawOxmClass, getRawOxmType, getTotalLength, hasMask`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MatchField`

    - #### getId

          public int getId()

      Returns the experimenter ID encoded as an int.
      Returns:
        the experimenter ID (encoded)

    - #### getExpId

          public ExperimenterId getExpId()

      Returns the experimenter ID (if we know it); null otherwise.
      Returns:
        the experimenter ID

    - #### getIdAsBytes

          public byte[] getIdAsBytes()

      Returns the ID encoded as a byte array.
      Returns:
        the ID as a byte array

    - #### getPayload

          public byte[] getPayload()

      Returns a copy of the experimenter-defined match payload.
      Returns:
        a copy of the payload

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014. All Rights Reserved.